import JSEncrypt from 'jsencrypt' 

// 密钥对生成 http://web.chacuo.net/netrsakeypair

const publicKey = 'MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDgUXdJsNiXcP7PYSQYsqqAXOHW7H3nya+9XbxDnKS3VP6erO9B4nxebmb761W+NaLImhpooCk6uwDinPVggkqKkpAXxbtepU2INW+0bqqIMHAd1hnsqlx8kRQCfCeP+ZHXas1bN0uvue5uPdHZGbaRPnWpgJsHSko5VTEoAwjITwIDAQAB'

const privateKey = '' 

// 加密
export function encrypt(txt) {
  const encryptor = new JSEncrypt()
  encryptor.setPublicKey(publicKey) // 设置公钥
  return encryptor.encrypt(txt) // 对数据进行加密
}

// 解密
export function decrypt(txt) {
  const encryptor = new JSEncrypt()
  encryptor.setPrivateKey(privateKey) // 设置私钥
  return encryptor.decrypt(txt) // 对数据进行解密
}

